> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> The "List Transactions" API allows to retrieve a paginated list of transactions. Customize your results by filtering transactions based on name, alt type, transaction status, payment mode, date range, type of source, contact, subscription id, entity id or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve transaction information.



## OpenAPI

````yaml /api-reference/payments/openapi.json get /payments/transactions
openapi: 3.0.0
info:
  title: Payments API
  description: Documentation for payments API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Payments
    description: Documentation for payments API
  - name: Integrations
    description: Documentation for payments API
  - name: Orders
    description: Documentation for payments API
  - name: Order fulfillments
    description: Documentation for payments API
  - name: Order Notes
    description: Documentation for payments API
  - name: Transactions
    description: Documentation for payments API
  - name: Subscriptions
    description: Documentation for payments API
  - name: Coupons
    description: Documentation for payments API
  - name: Custom Provider
    description: Documentation for payments API
paths:
  /payments/transactions:
    get:
      tags:
        - Transactions
      summary: List Transactions
      description: >-
        The "List Transactions" API allows to retrieve a paginated list of
        transactions. Customize your results by filtering transactions based on
        name, alt type, transaction status, payment mode, date range, type of
        source, contact, subscription id, entity id or paginate through the list
        using the provided query parameters. This endpoint provides a
        straightforward way to explore and retrieve transaction information.
      operationId: list-transactions
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: locationId
          required: false
          in: query
          description: LocationId is the id of the sub-account.
          schema:
            example: 3SwdhCu3svxI8AKsPJt6
            type: string
        - name: altId
          required: true
          in: query
          description: 'AltId is the unique identifier e.g: location id.'
          schema:
            example: 3SwdhCu3svxI8AKsPJt6
            type: string
        - name: altType
          required: true
          in: query
          description: AltType is the type of identifier.
          schema:
            example: location
            type: string
        - name: paymentMode
          required: false
          in: query
          description: Mode of payment.
          schema:
            example: live
            type: string
        - name: startAt
          required: false
          in: query
          description: Starting interval of transactions.
          schema:
            example: '2024-02-01'
            type: string
        - name: endAt
          required: false
          in: query
          description: Closing interval of transactions.
          schema:
            example: '2024-02-13'
            type: string
        - name: entitySourceType
          required: false
          in: query
          description: Source of the transactions.
          schema:
            example: funnel
            type: string
        - name: entitySourceSubType
          required: false
          in: query
          description: Source sub-type of the transactions.
          schema:
            example: two_step_order_form
            type: string
        - name: search
          required: false
          in: query
          description: The name of the transaction for searching.
          schema:
            example: Awesome transaction
            type: string
        - name: subscriptionId
          required: false
          in: query
          description: Subscription id for filtering of transactions.
          schema:
            example: sub_1KGcXDCScnf89tZoVkoEMCEL
            type: string
        - name: entityId
          required: false
          in: query
          description: Entity id for filtering of transactions.
          schema:
            example: 61dd0fe9c077f73e67f78803
            type: string
        - name: contactId
          required: false
          in: query
          description: Contact id for filtering of transactions.
          schema:
            example: XPLSw2SVagl12LMDeTmQ
            type: string
        - name: limit
          required: false
          in: query
          description: >-
            The maximum number of items to be included in a single page of
            results
          schema:
            default: 10
            example: 20
            type: number
        - name: offset
          required: false
          in: query
          description: >-
            The starting index of the page, indicating the position from which
            the results should be retrieved.
          schema:
            default: 0
            example: 0
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTxnsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - payments/transactions.readonly
components:
  schemas:
    ListTxnsResponseDto:
      type: object
      properties:
        data:
          description: An array of transactions
          type: array
          items:
            $ref: '#/components/schemas/TxnResponseSchema'
        totalCount:
          type: number
          description: total transactions count
      required:
        - data
        - totalCount
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    TxnResponseSchema:
      type: object
      properties:
        _id:
          type: string
          description: The unique identifier for the transaction.
          example: 61dd0feac077f72010f78804
        altId:
          type: string
          description: 'AltId is the unique identifier eg: location id.'
          example: 3SwdhCu3svxI8AKsPJt6
        altType:
          type: string
          example: location
          description: AltType is the type of identifier.
        contactId:
          type: string
          example: XPLSw2SVagl12LMDeTmQ
          description: Contact id corresponding to the transaction.
        mergedFromContactId:
          type: string
          example: XPLSw2SVagl12LMDeTmQ
          description: ID of the contact that was merged from.
        contactName:
          type: string
          example: James Bond
          description: Contact name corresponding to the transaction.
        contactEmail:
          type: string
          example: james.bond@hoopai.com
          description: Contact email corresponding to the transaction.
        currency:
          type: string
          example: USD
          description: Currency in which transaction occurred.
        amount:
          type: number
          example: '100'
          description: Transaction value.
        status:
          type: object
          description: The status of the transaction (e.g., succeeded).
          example: succeeded
        liveMode:
          type: boolean
          example: 'false'
          description: Transaction is in live / test mode.
        entityType:
          type: string
          example: order
          description: 'Entity type of transaction (eg: order).'
        entityId:
          type: string
          example: 61dd0fe9c077f73e67f78803
          description: 'Entity id for the transaction. e.g: order id'
        entitySourceType:
          type: string
          example: funnel
          description: 'Entity source type of transaction (eg: funnel).'
        entitySourceSubType:
          type: string
          example: two_step_order_form
          description: Entity source sub-type of the transactions.
        entitySourceName:
          type: string
          example: new funnel
          description: Entity source name for the transaction.
        entitySourceId:
          type: string
          description: Entity source id for the transaction.
          example: BDBMEghdIUaqMPEsK349
        entitySourceMeta:
          type: object
          description: Meta content for the entity source of transaction.
          example: >-
            { domain: "app.hoopai.com", pageId:  "rBVhyYhMsbxbO8ZqOcei",
            pageUrl:  "/v2/preview/rBVhyYhMsbxbO8ZqOcei", stepId:  
            "5a772f62-3fbc-418b-af1b-be8929dd64c2"}
        subscriptionId:
          type: string
          example: sub_1KGcXDCScnf89tZoVkoEMCEL
          description: Subscription id for transaction.
        chargeId:
          type: string
          example: in_1KGcXDCScnf89tZohCsmImwE
          description: Charge id for transaction.
        chargeSnapshot:
          type: object
          description: Charge snapshot of transaction.
          example: >-
            { id: "in_1KGcXDCScnf89tZohCsmImwE", object: "invoice",
            account_country: "US",  account_name:  "HoopAI-Testing" }
        paymentProviderType:
          type: string
          example: stripe
          description: Payment provider for transaction.
        paymentProviderConnectedAccount:
          type: string
          example: 612ca676b484b241fef9d962
          description: Payment provider  account id for transaction.
        ipAddress:
          type: string
          example: 107.178.194.224
          description: Ip address from where transaction was initiated.
        createdAt:
          format: date-time
          type: string
          description: The creation timestamp of the transaction.
          example: '2023-11-20T10:23:36.515Z'
        updatedAt:
          format: date-time
          type: string
          description: The update timestamp of the transaction.
          example: '2023-11-20T10:23:36.515Z'
        amountRefunded:
          type: number
          example: '10'
          description: Transaction amount refunded.
        paymentMethod:
          type: object
          example: '{ card: { "brand": "discover", "last4": "0012" } }'
          description: Transaction payment method details.
        fulfilledAt:
          format: date-time
          type: string
          description: The charged timestamp of the transaction.
          example: '2023-11-20T10:27:36.515Z'
        createdBy:
          type: string
          example: user123
          description: User ID who created the transaction.
      required:
        - _id
        - altId
        - altType
        - status
        - entitySourceType
        - createdAt
        - updatedAt
        - fulfilledAt

````